QGIS Plugin Site - Bug report #5985
Error 500 when | try to upload my plugin.
2012-07-09 10:51 PM - Cepreit Bactpakos

Status: Closed

Priority: Normal
Assignee: Alessandro Pasotti
Category:

Pull Request or Patch supplied:
Description

I'm trying to upload my plugin here: http://plugins.qgis.org/plugins/add/ and i'm get error 500.
What shall i do?
| attached my plugin here.

History

#1 - 2012-07-09 11:32 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

You did the right thing attaching the plugin so that | can test what fails.

Thanks for signaling the issue.

#2 - 2012-07-09 11:35 PM - Alessandro Pasotti

try changing

def version():

return "Version " + "0.1"

to

def version():

return "0.1"

#3 - 2012-07-09 11:43 PM - Cepren Bactpakos

Alessandro Pasotti wrote:

try changing

def version():

return "Version " + "0.1"

to

def version():
return "0.1"
Ok, | changed it, but | still have error.

#4 - 2012-07-10 02:23 AM - Alessandro Pasotti
- Status changed from Open to Feedback

def name():
return "Acca plugin”
def description():
return "Plugin implements ACCA algorithm"
def qgisMinimumVersion():
return "1.0"
def version():
return "0.1"
def authorName():
return "Bastrakov Sergey"
def classFactory(iface):
from plugin import Acca_Plugin

return Acca_Plugin(iface)

With this modifications the plugins loads fine for me. You will see a lot of warnings since many metadata are missing and metadata.txt is also missing, but

the plugin will load anyway.

#5 - 2012-07-10 02:27 AM - Cepreun BacTtpakos

Alessandro Pasotti wrote:

[]

With this modifications the plugins loads fine for me. You will see a lot of warnings since many metadata are missing and metadata.txt is also

missing, but the plugin will load anyway.

Hmm, now everything is OK. Thank you for the operative help.

#6 - 2012-07-10 02:29 AM - Nathan Woodrow

Just note that | would like to see some more information on the plugin before | approve it, mainly a better description.

#7 - 2012-07-10 02:39 AM - Alessandro Pasotti

- Status changed from Feedback to Resolved

@Nathan,

might be better to open a new ticket for this. But please search first, IIRC there is already something about using longer descriptions through a new field. A
task for the next HF.

2025-04-28 2/3



#8 - 2012-07-10 03:15 AM - Cepren BacTtpakos

I have successfully uploaded the plugin. Add a description, but | do not see it in the "My plugins". Is it Ok?

#9 - 2012-10-05 07:21 AM - Paolo Cavallini

- Status changed from Resolved to Closed

Files

Acca_Plugin.zip 43.4 KB 2012-07-09 Cepreii bactpakos
